MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0024742Open CASCADE[OCCT] OCCT:Codingpublic2014-03-20 13:022014-11-11 12:52
Reporterabv 
Assigned Toabv 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target Version[OCCT] 6.8.0Fixed in Version[OCCT] 6.8.0 
Summary0024742: Remove rarely used collection classes
DescriptionSome classes defined in TCollection and NCollection packages are either never or very rarely instantiated in OCCT, WOK, and Products, and give no added value over other widely used collections such as List and Sequence. It is logical to remove these classes to minimize amount of code to be maintained:

- TCollection_Queue: instantiated 3 times in TColStd; only one of these instances (TColStd_QueueOfInteger) is used locally in two functions (GraphTools_BFSIterator::Perform() and GraphTools_TopologicalSortFromIterator::Perform()). Can be replaced by TColStd_ListOfInteger.

Note that GraphTools package is also candidate for removal, as it is used only in single place in WOK.

- TCollection_Set, NCollection_Set: instantiated 3 times in TColStd; only one of these instances (TColStd_SetOfInteger) is used in BRepAlgo_DSAccess. It can be replaced by TColStd_PackedMapOfInteger (or TColStd_ListOfInteger).

- TCollection_SList, NCollection_SList: instantiated and used in single place, for list of items in TopLoc_Location class. It can be converted to plain class in TopLoc (or replaced by list).

- TCollection_AVLSearchTree: never instantiated; some traces of its use remained in WOK EDL templates

- TCollection_Array1Descriptor, TCollection_Array2Descriptor: never referenced

Naturally, variants of the same classes manipulated by Handle (with same name and prefix "H") are also to be removed.
TagsNo tags attached.
Test case numberNot needed
Attached Files

- Relationships
related to 0024841closedapn Remove duplicated and/or unused instances of collections 
child of 0024487closedabv Getting rid of generic CDL classes 

-  Notes
(0028392)
abv (manager)
2014-03-20 13:30

Class Stack is also candidate for removal (can be replaced by List), however it is used in rather many places. Further classes TCollection_Compare can be moved to SortTools where they are used.
(0028771)
dln (developer)
2014-04-10 10:16

Changes are ready for review in CR24742 branch.
(0028794)
kgv (developer)
2014-04-11 14:58

Dear dln,

please consider following remarks:

-  Handle(TColStd_HSetOfReal) tmpIntervals = new TColStd_HSetOfReal;
-  TColStd_SetIteratorOfSetOfReal It;
+  Handle(TColStd_HSequenceOfReal) tmpIntervals = new TColStd_HSequenceOfReal();

Please replace with NCollection_Sequence<Standard_Real> and use NCollection_Sequence::Iterator. There no point in handle in this context.

-       if (ipv1 != 0) /*bid = */RPoint.Add(ipv1); // skl
-       if (ipv2 != 0) /*bid = */RPoint.Add(ipv2); // skl
+       if (ipv1 != 0 && !RPoint.Contains(ipv1)) /*bid = */RPoint.Add(ipv1); // skl
+       if (ipv2 != 0 && !RPoint.Contains(ipv2)) /*bid = */RPoint.Add(ipv2); // skl


-     if (ipv1 != 0) /*B = */mySetOfKeepPoint.Add(ipv1); // skl
-     if (ipv2 != 0) /*B = */mySetOfKeepPoint.Add(ipv2); // skl
+     if (ipv1 != 0 && !mySetOfKeepPoint.Contains(ipv1)) /*B = */mySetOfKeepPoint.Add(ipv1); 
// skl
+     if (ipv2 != 0 && !mySetOfKeepPoint.Contains(ipv2)) /*B = */mySetOfKeepPoint.Add(ipv2); 
// skl

TColStd_PackedMapOfInteger::Add() semantics does not require Contains() check before.
(0028820)
dln (developer)
2014-04-14 14:14

Dear kgv,

The new version of this fix are ready for review in CR24742 branch.
(0028827)
kgv (developer)
2014-04-14 15:39

Please test the patch.
(0028851)
mkv (tester)
2014-04-15 19:37

Dear BugMaster,

Branch CR24742 (and products from GIT master) was compiled on Linux, MacOS and Windows platforms and tested.
SHA-1: d1705dd036eb8883b4f4243921c7bb9993980734

Number of compiler warnings:

occt component :
Linux: 18 (18 on master)
Windows: 0 (0 on master)
MacOS: 413 (413 on master)

products component :
Linux: 12 (12 on master)
Windows: 2 (2 on master)

Regressions/Differences:
No regressions/differences

Testing cases:
Not needed

Testing on Linux:
Total MEMORY difference: 352124416 / 352653700
Total CPU difference: 56275.819999999825 / 67343.38000000024

Testing on Windows:
Total MEMORY difference: 381025176 / 380717640
Total CPU difference: 32943.484375 / 39760.234375

There are no differences in images found by testdiff.
(0028923)
abv (manager)
2014-04-17 12:47

Classes NCollection_Queue, NCollection_Stack should be removed along with TCollection equivalents.

SortTools and TCollection_Compare... classes should be replaced completely by using STL algorithms, see 0024831
(0028958)
abv (manager)
2014-04-18 11:29

I have refactored this branch: removed Queue and Stack from NCollection, revised changes in Adaptor3d, reorganized commits by collection type. Please review the resulting state in branch CR24742_1
(0028963)
kgv (developer)
2014-04-18 14:40

Please test the patch.
(0028985)
mkv (tester)
2014-04-21 11:47

Dear BugMaster,

Branch CR24742_1 was compiled on Linux, MacOS and Windows platforms.

There are compilation errors on Linux platform:
http://jenkins-test-02.nnov.opencascade.com:8080/user/mnt/my-views/view/CR24742_1/job/mnt-CR24742_1-master_build_occt_linux/1/parsed_console/? [^]
../../../../src/Visual3d/Visual3d_ViewManager.cxx: In member function ‘virtual void Visual3d_ViewManager::SetZLayerSettings(Standard_Integer, const Graphic3d_ZLayerSettings&)’:
../../../../src/Visual3d/Visual3d_ViewManager.cxx:693: error: ‘Visual3d_SetIteratorOfSetOfView’ was not declared in this scope
../../../../src/Visual3d/Visual3d_ViewManager.cxx:693: error: expected ‘;’ before ‘aViewIt’
../../../../src/Visual3d/Visual3d_ViewManager.cxx:694: error: ‘aViewIt’ was not declared in this scope
make[2]: *** [Visual3d_ViewManager.lo] Error 1

There are compilation errors on Windows platform:
http://jenkins-test-02.nnov.opencascade.com:8080/user/mnt/my-views/view/CR24742_1/job/mnt-CR24742_1-master_build_occt_windows/1/parsed_console/? [^]
34>..\..\..\src\Visual3d\Visual3d_ViewManager.cxx(693) : error C2065: 'Visual3d_SetIteratorOfSetOfView' : undeclared identifier
34>..\..\..\src\Visual3d\Visual3d_ViewManager.cxx(693) : error C2146: syntax error : missing ';' before identifier 'aViewIt'
34>..\..\..\src\Visual3d\Visual3d_ViewManager.cxx(693) : error C3861: 'aViewIt': identifier not found
34>..\..\..\src\Visual3d\Visual3d_ViewManager.cxx(694) : error C2065: 'aViewIt' : undeclared identifier
34>..\..\..\src\Visual3d\Visual3d_ViewManager.cxx(694) : error C2228: left of '.More' must have class/struct/union
34> type is ''unknown-type''
34>..\..\..\src\Visual3d\Visual3d_ViewManager.cxx(694) : error C2065: 'aViewIt' : undeclared identifier
34>..\..\..\src\Visual3d\Visual3d_ViewManager.cxx(694) : error C2228: left of '.Next' must have class/struct/union
34> type is ''unknown-type''
34>..\..\..\src\Visual3d\Visual3d_ViewManager.cxx(696) : error C2065: 'aViewIt' : undeclared identifier
34>..\..\..\src\Visual3d\Visual3d_ViewManager.cxx(696) : error C2228: left of '.Value' must have class/struct/union
34> type is ''unknown-type''
34>..\..\..\src\Visual3d\Visual3d_ViewManager.cxx(696) : error C2227: left of '->SetZLayerSettings' must point to class/struct/union/generic type
34>Visual3d_Layer.cxx

There are compilation errors on Linux platform:
http://jenkins-test-02.nnov.opencascade.com:8080/user/mnt/my-views/view/CR24742_1/job/mnt-CR24742_1-master_prepare_build_occt_MacOS/1/parsed_console/? [^]
/Users/mnt/tools/WOK670/wok_entities/LOC/dev/CR24742-1-master-occt/src/Visual3d/Visual3d_ViewManager.cxx:693:3: error: unknown type name 'Visual3d_SetIteratorOfSetOfView'
Visual3d_SetIteratorOfSetOfView aViewIt (MyDefinedView);
^
1 error generated.
make[2]: *** [adm/cmake/TKV3d/CMakeFiles/TKV3d.dir/__/__/__/src/Visual3d/Visual3d_ViewManager.cxx.o] Error 1
(0028988)
abv (manager)
2014-04-21 16:36

Sorry, these were marge artifacts. Please test updated version in the new branch CR24742_2
(0029049)
mkv (tester)
2014-04-24 10:51

Dear BugMaster,

Branch CR24742_2 (and products from GIT master) was compiled on Linux platform.
SHA-1: acce7fcff78777c0d48b39eb2117b89cc7061173

There are compilation errors on Linux platform in products part:
http://jenkins-test-02.nnov.opencascade.com:8080/user/mnt/my-views/view/CR24742_2/job/mnt-CR24742_2-master_build_occt_products_linux/1/parsed_console/? [^]

../../../../src/QMShape/QMShape_DiscrCurve.cxx:24:33: error: NCollection_Stack.hxx: No such file or directory

../../../../src/QMShape/QMShape_DiscrCurve.cxx: In member function ‘void QMShape_DiscrCurve::Perform()’:
../../../../src/QMShape/QMShape_DiscrCurve.cxx:39: error: expected initializer before ‘<’ token
../../../../src/QMShape/QMShape_DiscrCurve.cxx:52: error: ‘StackOfPointOnCurve’ was not declared in this scope
../../../../src/QMShape/QMShape_DiscrCurve.cxx:52: error: expected ‘;’ before ‘stk’
../../../../src/QMShape/QMShape_DiscrCurve.cxx:54: error: ‘stk’ was not declared in this scope
(0029087)
abv (manager)
2014-04-25 20:27

I have pushed correction for Products to CR24742 branch; please test along with OCCT branch CR24742_3 (rebased on current master).
(0029241)
mkv (tester)
2014-05-07 20:44

Dear BugMaster,

Branch CR24742_3 from occt git-repository and CR24742 from products git-repository are compiled on Linux and Windows platforms and tested.
SHA-1: 99b0bd0657f0a27c822be6af40a6c0a41d78a474
SHA-1: 6da5621fff24b49e94ccf2703c080706122b201f

Number of compiler warnings:

occt component :
Linux: 18 (18 on master)
Windows: 0 (0 on master)

products component :
Linux: 12 (12 on master)
Windows: 2 (2 on master)

Regressions/Differences:
No regressions/differences

Testing cases:
Not needed

Testing on Linux:
Total MEMORY difference: 356586492 / 355561056
Total CPU difference: 66685.71000000018 / 53337.799999999814

Testing on Windows:
Total MEMORY difference: 379413776 / 379811368
Total CPU difference: 36700.8125 / 36615.171875

There are no differences in images found by testdiff.

- Related Changesets
occt: master 3125ebb6
Timestamp: 2014-04-04 09:15:11
Author: abv
Committer: abv
Details ] Diff ]
0024742: Remove rarely used collection classes: Queue

Generic "TCollection_Queue" class removed (along with "TCollection_QueueNode" and three instantiations in TColStd). Template class TCollection_Queue removed.

The code using queue classes converted to use lists for the same purpose (replacing Push -> Append, Front -> First, Pop -> RemoveFirst). In OpenGl_Context, list is used as stack instead of queue, for it looks more natural for release of resources (last allocated - first released).
mod - src/GraphTools/GraphTools_BFSIterator.gxx Diff ] File ]
mod - src/GraphTools/GraphTools_TopologicalSortFromIterator.gxx Diff ] File ]
mod - src/NCollection/FILES Diff ] File ]
rm - src/NCollection/NCollection_DefineQueue.hxx Diff ] File ]
rm - src/NCollection/NCollection_Queue.hxx Diff ] File ]
mod - src/OpenGl/OpenGl_Context.cxx Diff ] File ]
mod - src/OpenGl/OpenGl_Context.hxx Diff ] File ]
mod - src/QANCollection/QANCollection.cdl Diff ] File ]
mod - src/QANCollection/QANCollection2.cxx Diff ] File ]
mod - src/QANCollection/QANCollection3.cxx Diff ] File ]
mod - src/QANCollection/QANCollection_Common2.hxx Diff ] File ]
mod - src/QANCollection/QANCollection_Common3.hxx Diff ] File ]
mod - src/QANCollection/QANCollection_FuncLists.hxx Diff ] File ]
mod - src/QANCollection/QANCollection_FuncTest.hxx Diff ] File ]
mod - src/QANCollection/QANCollection_PerfLists.hxx Diff ] File ]
mod - src/TCollection/TCollection.cdl Diff ] File ]
rm - src/TCollection/TCollection_Queue.cdl Diff ] File ]
rm - src/TCollection/TCollection_Queue.gxx Diff ] File ]
rm - src/TCollection/TCollection_Queue.lxx Diff ] File ]
rm - src/TCollection/TCollection_QueueNode.gxx Diff ] File ]
rm - src/TCollection/TCollection_QueueNode.lxx Diff ] File ]
mod - src/TColStd/TColStd.cdl Diff ] File ]
occt: master b439bc58
Timestamp: 2014-04-08 06:22:02
Author: abv
Committer: abv
Details ] Diff ]
0024742: Remove rarely used collection classes

"TCollection_Array1Descriptor" and "TCollection_Array2Descriptor" classes were removed as unused.
mod - src/TCollection/TCollection.cdl Diff ] File ]
rm - src/TCollection/TCollection_Array1Descriptor.cdl Diff ] File ]
rm - src/TCollection/TCollection_Array1Descriptor.cxx Diff ] File ]
rm - src/TCollection/TCollection_Array2Descriptor.cdl Diff ] File ]
rm - src/TCollection/TCollection_Array2Descriptor.cxx Diff ] File ]
occt: master 54f7544d
Timestamp: 2014-04-08 08:55:04
Author: abv
Committer: abv
Details ] Diff ]
0024742: Remove rarely used collection classes: Set

Classes NCollection_Set and NCollection_HSet removed as unused (along with NCollection_DefineSet.hxx and NCollection_DefineHSet.hxx).

Classes TCollection_Set and TCollection_HSet removed (along with TCollection_SetIterator and TCollection_SetList nested classes).
Code previously using Set classes updated to equivalent use of Sequence (Adaptor3d and Visual3d packages) or TColStd_PackedMapOfInteger (BRepAlgo package).

In Adaptor3d_CurveOnSurface, calculation of continuity intervals refactored so as to build and store sorted sequence of reals, instead of collecting them to set, copying to array, and then sorting.
mod - src/Adaptor3d/Adaptor3d_CurveOnSurface.cdl Diff ] File ]
mod - src/Adaptor3d/Adaptor3d_CurveOnSurface.cxx Diff ] File ]
mod - src/BRepAlgo/BRepAlgo_DSAccess.cdl Diff ] File ]
mod - src/BRepAlgo/BRepAlgo_DSAccess.cxx Diff ] File ]
mod - src/NCollection/FILES Diff ] File ]
rm - src/NCollection/NCollection_DefineHSet.hxx Diff ] File ]
rm - src/NCollection/NCollection_DefineSet.hxx Diff ] File ]
rm - src/NCollection/NCollection_HSet.hxx Diff ] File ]
rm - src/NCollection/NCollection_Set.hxx Diff ] File ]
mod - src/QANCollection/QANCollection2.cxx Diff ] File ]
mod - src/QANCollection/QANCollection3.cxx Diff ] File ]
mod - src/QANCollection/QANCollection_Common2.hxx Diff ] File ]
mod - src/QANCollection/QANCollection_Common3.hxx Diff ] File ]
mod - src/QANCollection/QANCollection_FuncLists.hxx Diff ] File ]
mod - src/QANCollection/QANCollection_FuncTest.hxx Diff ] File ]
mod - src/QANCollection/QANCollection_PerfLists.hxx Diff ] File ]
mod - src/TCollection/TCollection.cdl Diff ] File ]
rm - src/TCollection/TCollection_HSet.cdl Diff ] File ]
rm - src/TCollection/TCollection_HSet.gxx Diff ] File ]
rm - src/TCollection/TCollection_HSet.lxx Diff ] File ]
rm - src/TCollection/TCollection_Set.cdl Diff ] File ]
rm - src/TCollection/TCollection_Set.gxx Diff ] File ]
rm - src/TCollection/TCollection_Set.lxx Diff ] File ]
rm - src/TCollection/TCollection_SetIterator.gxx Diff ] File ]
rm - src/TCollection/TCollection_SetIterator.lxx Diff ] File ]
mod - src/TColStd/TColStd.cdl Diff ] File ]
mod - src/V3d/V3d.cxx Diff ] File ]
mod - src/Visual3d/Visual3d.cdl Diff ] File ]
mod - src/Visual3d/Visual3d_ContextView.cdl Diff ] File ]
mod - src/Visual3d/Visual3d_ContextView.cxx Diff ] File ]
mod - src/Visual3d/Visual3d_View.cdl Diff ] File ]
mod - src/Visual3d/Visual3d_View.cxx Diff ] File ]
mod - src/Visual3d/Visual3d_ViewManager.cdl Diff ] File ]
mod - src/Visual3d/Visual3d_ViewManager.cxx Diff ] File ]
occt: master bd2de396
Timestamp: 2014-04-08 10:21:26
Author: abv
Committer: abv
Details ] Diff ]
0024742: Remove rarely used collection classes: SList

Generic "TCollection_SList" class and nested "TCollection_SListNode" class moved (as non-generic) to the "TopLoc" package (the only place where they were instantiated).
Names of these classes changed to "TopLoc_SListOfItemLocation" and "TopLoc_SListNodeOfItemLocation".

"NCollection_SList" class removed as unused (along with NCollection_DefineSList.hxx).
mod - src/NCollection/FILES Diff ] File ]
rm - src/NCollection/NCollection_DefineSList.hxx Diff ] File ]
rm - src/NCollection/NCollection_SList.hxx Diff ] File ]
mod - src/QANCollection/QANCollection.cdl Diff ] File ]
mod - src/QANCollection/QANCollection2.cxx Diff ] File ]
mod - src/QANCollection/QANCollection3.cxx Diff ] File ]
mod - src/QANCollection/QANCollection_Common2.hxx Diff ] File ]
mod - src/QANCollection/QANCollection_Common3.hxx Diff ] File ]
mod - src/QANCollection/QANCollection_FuncLists.hxx Diff ] File ]
mod - src/QANCollection/QANCollection_FuncTest.hxx Diff ] File ]
mod - src/QANCollection/QANCollection_PerfLists.hxx Diff ] File ]
mod - src/TCollection/TCollection.cdl Diff ] File ]
mod - src/TopLoc/TopLoc.cdl Diff ] File ]
add - src/TopLoc/TopLoc_SListNodeOfItemLocation.cdl Diff ] File ]
occt: master 6af4fe1c
Timestamp: 2014-04-08 10:22:56
Author: abv
Committer: abv
Details ] Diff ]
0024742: Remove rarely used collection classes: Stack

Generic class TCollection_Stack removed (along with TCollection_StackIterator and TCollection_StackNode).

Code using TCollection_Stack changed to equivalent use of TCollection_List (replacing Push -> Prepend, Top -> First, Pop -> RemoveFirst).
mod - src/CDF/CDF_StoreList.cdl Diff ] File ]
mod - src/CDF/CDF_StoreList.cxx Diff ] File ]
mod - src/CDM/CDM.cdl Diff ] File ]
mod - src/DDF/DDF.cdl Diff ] File ]
mod - src/DDF/DDF_TransactionCommands.cxx Diff ] File ]
mod - src/ExprIntrp/ExprIntrp.cdl Diff ] File ]
mod - src/ExprIntrp/ExprIntrp_Analysis.cdl Diff ] File ]
mod - src/ExprIntrp/ExprIntrp_Analysis.cxx Diff ] File ]
mod - src/GraphTools/GraphTools_DFSIterator.gxx Diff ] File ]
mod - src/GraphTools/GraphTools_ReducedGraph.cdl Diff ] File ]
mod - src/GraphTools/GraphTools_ReducedGraph.gxx Diff ] File ]
mod - src/GraphTools/GraphTools_SortedStrgCmptsFromIterator.cdl Diff ] File ]
mod - src/GraphTools/GraphTools_SortedStrgCmptsFromIterator.gxx Diff ] File ]
mod - src/NCollection/FILES Diff ] File ]
rm - src/NCollection/NCollection_DefineStack.hxx Diff ] File ]
rm - src/NCollection/NCollection_Stack.hxx Diff ] File ]
mod - src/NLPlate/NLPlate.cdl Diff ] File ]
mod - src/NLPlate/NLPlate_NLPlate.cxx Diff ] File ]
mod - src/OpenGl/OpenGl_ShaderStates.cxx Diff ] File ]
mod - src/OpenGl/OpenGl_ShaderStates.hxx Diff ] File ]
mod - src/QADraw/QADraw.cxx Diff ] File ]
mod - src/QANCollection/QANCollection.cdl Diff ] File ]
mod - src/QANCollection/QANCollection2.cxx Diff ] File ]
mod - src/QANCollection/QANCollection3.cxx Diff ] File ]
mod - src/QANCollection/QANCollection_Common2.hxx Diff ] File ]
mod - src/QANCollection/QANCollection_Common3.hxx Diff ] File ]
mod - src/QANCollection/QANCollection_FuncLists.hxx Diff ] File ]
mod - src/QANCollection/QANCollection_FuncTest.hxx Diff ] File ]
mod - src/QANCollection/QANCollection_PerfLists.hxx Diff ] File ]
mod - src/TCollection/TCollection.cdl Diff ] File ]
rm - src/TCollection/TCollection_Stack.cdl Diff ] File ]
rm - src/TCollection/TCollection_Stack.gxx Diff ] File ]
rm - src/TCollection/TCollection_Stack.lxx Diff ] File ]
rm - src/TCollection/TCollection_StackIterator.gxx Diff ] File ]
rm - src/TCollection/TCollection_StackIterator.lxx Diff ] File ]
rm - src/TCollection/TCollection_StackNode.gxx Diff ] File ]
rm - src/TCollection/TCollection_StackNode.lxx Diff ] File ]
mod - src/TColStd/TColStd.cdl Diff ] File ]
mod - src/TDF/TDF_Data.cdl Diff ] File ]
mod - src/TDF/TDF_Data.cxx Diff ] File ]
mod - src/TopExp/TopExp.cdl Diff ] File ]

- Issue History
Date Modified Username Field Change
2014-03-20 13:02 abv New Issue
2014-03-20 13:02 abv Assigned To => kgv
2014-03-20 13:03 abv Relationship added child of 0024487
2014-03-20 13:03 abv Assigned To kgv => dln
2014-03-20 13:03 abv Status new => assigned
2014-03-20 13:30 abv Note Added: 0028392
2014-04-04 18:09 abv Target Version 6.7.1 => 6.8.0
2014-04-10 10:16 dln Note Added: 0028771
2014-04-10 10:16 dln Assigned To dln => abv
2014-04-10 10:16 dln Status assigned => resolved
2014-04-10 10:31 abv Assigned To abv => kgv
2014-04-11 14:58 kgv Note Added: 0028794
2014-04-11 14:58 kgv Assigned To kgv => dln
2014-04-11 14:58 kgv Status resolved => assigned
2014-04-14 14:14 dln Note Added: 0028820
2014-04-14 14:14 dln Assigned To dln => kgv
2014-04-14 14:14 dln Status assigned => resolved
2014-04-14 15:39 kgv Note Added: 0028827
2014-04-14 15:39 kgv Assigned To kgv => bugmaster
2014-04-14 15:39 kgv Status resolved => reviewed
2014-04-14 16:37 mkv Assigned To bugmaster => mkv
2014-04-15 19:37 mkv Note Added: 0028851
2014-04-15 19:38 mkv Test case number => Not needed
2014-04-15 19:38 mkv Assigned To mkv => abv
2014-04-15 19:38 mkv Status reviewed => tested
2014-04-15 19:55 mkv Assigned To abv => bugmaster
2014-04-17 12:47 abv Note Added: 0028923
2014-04-17 12:47 abv Assigned To bugmaster => abv
2014-04-17 12:47 abv Status tested => assigned
2014-04-18 11:29 abv Note Added: 0028958
2014-04-18 11:29 abv Assigned To abv => kgv
2014-04-18 11:29 abv Status assigned => resolved
2014-04-18 14:40 kgv Note Added: 0028963
2014-04-18 14:40 kgv Assigned To kgv => bugmaster
2014-04-18 14:40 kgv Status resolved => reviewed
2014-04-18 17:16 mkv Assigned To bugmaster => mkv
2014-04-21 11:47 mkv Note Added: 0028985
2014-04-21 11:48 mkv Assigned To mkv => abv
2014-04-21 11:48 mkv Status reviewed => assigned
2014-04-21 16:36 abv Note Added: 0028988
2014-04-21 16:36 abv Assigned To abv => bugmaster
2014-04-21 16:36 abv Status assigned => resolved
2014-04-21 16:37 abv Status resolved => reviewed
2014-04-21 19:56 mkv Assigned To bugmaster => mkv
2014-04-24 10:51 mkv Note Added: 0029049
2014-04-24 10:52 mkv Assigned To mkv => abv
2014-04-24 10:52 mkv Status reviewed => assigned
2014-04-25 20:27 abv Note Added: 0029087
2014-04-25 20:27 abv Status assigned => resolved
2014-04-25 20:28 abv Assigned To abv => bugmaster
2014-04-25 20:28 abv Status resolved => reviewed
2014-04-28 12:49 mkv Assigned To bugmaster => mkv
2014-05-07 20:44 mkv Note Added: 0029241
2014-05-07 20:44 mkv Assigned To mkv => bugmaster
2014-05-07 20:44 mkv Status reviewed => tested
2014-05-08 16:12 abv Relationship added related to 0024841
2014-05-12 16:20 abv Changeset attached => occt master 54f7544d
2014-05-12 16:20 abv Changeset attached => occt master 6af4fe1c
2014-05-12 16:20 abv Changeset attached => occt master bd2de396
2014-05-12 16:20 abv Changeset attached => occt master 3125ebb6
2014-05-12 16:20 abv Changeset attached => occt master b439bc58
2014-05-12 16:20 abv Assigned To bugmaster => abv
2014-05-12 16:20 abv Status tested => verified
2014-05-12 16:20 abv Resolution open => fixed
2014-11-11 12:47 aiv Fixed in Version => 6.8.0
2014-11-11 12:52 aiv Status verified => closed


Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker